Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary:   	Sed (streams editor) is a powerful text filter
Name:      	sed
Version:   	4.2.1
Release:   	1
License: 	GNU/GPL
URL:		http://www.gnu.org/software/sed/sed.html
Group:     	Text Tools 
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
PreReq:		/sbin/install-info

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libacl-devel

%description
Sed (streams editor) isn't really a true text editor or text processor. Instead, it is used to filter text, i.e., it takes text input and performs some operation (or set of operations) on it and outputs the modified text. Sed is typically used for extracting part of a file using pattern matching or substituting multiple occurrences of a string within a file.

%post
/sbin/install-info %{_infodir}/sed.info.gz %{_infodir}/dir
ldconfig

%postun
ldconfig
 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/sed.info.gz %{_infodir}/dir 
fi 

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --bindir=/bin
make 

%install
rm -rf $RPM_BUILD_ROOT 
make install-strip DESTDIR=$RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
/bin/sed
%{_infodir}/sed.info.gz
%{_datadir}/locale/*/LC_MESSAGES/sed.mo
%{_mandir}/man1/sed.1.gz
%exclude %{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Sun May 03 2009 Christian Metzen <metzench@ccux-linux.de> 4.2-1
- Version update
- add auto BR
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 4.1.5-1
- Version update
* Sun Jul 17 2005 Christian Metzen <metzench@ccux-linux.de> 4.1.4-2
- Moved bin location, added prereq tag
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.1.4-1
- Version Update to 4.1.4, rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 4.1.2-1
- Initial Release
